import java.io.File;
import java.io.RandomAccessFile;
import java.util.Hashtable;

public class Class289 {

   static boolean aBool3409 = false;
   static File aFile3410;
   static Hashtable aHashtable3411 = new Hashtable(16);


   static void method5275(File var0) {
      aFile3410 = var0;
      if(!aFile3410.exists()) {
         throw new RuntimeException("");
      } else {
         aBool3409 = true;
      }
   }

   public static File method5276(String var0) {
      if(!aBool3409) {
         throw new RuntimeException("");
      } else {
         File var1 = (File)aHashtable3411.get(var0);
         if(var1 != null) {
            return var1;
         } else {
            File var2 = new File(aFile3410, var0);
            RandomAccessFile var3 = null;

            try {
               File var4 = new File(var2.getParent());
               if(!var4.exists()) {
                  throw new RuntimeException("");
               } else {
                  var3 = new RandomAccessFile(var2, "rw");
                  int var5 = var3.read();
                  var3.seek(0L);
                  var3.write(var5);
                  var3.seek(0L);
                  var3.close();
                  aHashtable3411.put(var0, var2);
                  return var2;
               }
            } catch (Exception var7) {
               try {
                  if(null != var3) {
                     var3.close();
                     var3 = null;
                  }
               } catch (Exception var6) {
                  ;
               }

               throw new RuntimeException();
            }
         }
      }
   }

   Class289() throws Throwable {
      throw new Error();
   }

   public static File method5277(String var0) {
      if(!aBool3409) {
         throw new RuntimeException("");
      } else {
         File var1 = (File)aHashtable3411.get(var0);
         if(var1 != null) {
            return var1;
         } else {
            File var2 = new File(aFile3410, var0);
            RandomAccessFile var3 = null;

            try {
               File var4 = new File(var2.getParent());
               if(!var4.exists()) {
                  throw new RuntimeException("");
               } else {
                  var3 = new RandomAccessFile(var2, "rw");
                  int var5 = var3.read();
                  var3.seek(0L);
                  var3.write(var5);
                  var3.seek(0L);
                  var3.close();
                  aHashtable3411.put(var0, var2);
                  return var2;
               }
            } catch (Exception var7) {
               try {
                  if(null != var3) {
                     var3.close();
                     var3 = null;
                  }
               } catch (Exception var6) {
                  ;
               }

               throw new RuntimeException();
            }
         }
      }
   }

   public static Class357 method5278(RS2Buffer var0, int var1) {
      int var2 = var0.readInt_(-1139849923);
      return new Class357(var2);
   }

   public static String method5279(byte[] var0, int var1) {
      return Class452.method7588(var0, 0, var0.length, -11960222);
   }
}
